Bug Hunting Session
Bug 74932 - FILESAVE: Shapes appear when saving a .XLSX file with filter
Summary: FILESAVE: Shapes appear when saving a .XLSX file with filter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: BSA target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-13 14:56 UTC by Merlinux
Modified: 2016-06-16 02:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original Excell file whit no shapes (55.58 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2014-02-13 14:56 UTC, Merlinux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Merlinux 2014-02-13 14:56:16 UTC
Created attachment 94004 [details]
Original Excell file whit no shapes

Problem description:

Every time i save this specific file in LibreOffice it inserts shapes that were not there originally. This was a file originally created in MS Office and needs to be changed on a computer with LibreOffice. However, everytime i save it this shappes cover all the data and as a consequence it generated quite a confusion on the business i'm working for. (i can confirm this happens on at least Windows 7, Windows 8.1, openSUSE 12.3 and openSUSE 13.1 and this also happens in LO 4.2.0.4)

Steps to reproduce:
1. Open attached file "OriginalFile.xlsx"
2. Change a number (or don't do anything) and save the file.
3. Open it again (either on LibreOffice or MS Office)

Current behavior:
Shapes apeared out of nothing and cover all data

Expected behavior:
There should be no shapes...


(please also note that hidden cells also became visible, but i suspect this is a result of the same bug)
              
Operating System: All
Version: 4.1.4.2 release
Comment 1 Jorendc 2014-03-06 21:55:46 UTC
I can reproduce this behavior, tested using Mac OSX 10.9 with LibreOffice Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f

Kind regards,
Joren
Comment 2 Merlinux 2014-08-01 15:28:00 UTC
I can still reproduce this in 4.3.0.4.

I'm not used to Bugzilla. Are we supposed to update "Version:" to match the last release where the bug exists?
Comment 3 ign_christian 2014-09-16 13:19:56 UTC
In 'Navigator', under View menu (or hit F5) we can see 4 Drawing objects named "shapetype_202"

Possibly those "Drawing object" causes filesave problem. I ever saw another issue in different bug report about importing problem with .xlsx file created with MSO which has "Drawing object".

Set Version back to 4.1.4.2 according to: https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Version
Comment 4 ign_christian 2014-09-16 13:27:44 UTC
Ah..I found that: Bug 81842 -> similar problem with printing
Comment 5 Merlinux 2014-09-17 14:08:16 UTC
I can also add that i picked the OriginalFile.xlsx and removed all cell formats (backgrouns, borders, etc), all cell data, un-hidded all hidden cells, unlocked panels and removed all filters (in another words, i've removed and reverted everthing i could remember to leave the document as clean as a new one) on MSO and everytime i save the file in LO i still get the bug as result.
Comment 6 Priyanka Gaikwad 2015-05-07 10:57:06 UTC
The issue in attached file is, there are 4 shapes in document which are hidden and after exporting it to .xlsx the shape hidden property does not export.

XML Difference
Original File :
<xdr:cNvPr id="2" name="Rectangle 1" hidden="1"/>

After saving it as .xlsx :
<xdr:cNvPr id="0" name="CustomShape 1"></xdr:cNvPr>
Comment 7 A (Andy) 2015-05-11 14:59:31 UTC
For me also reproducible with LO 4.4.3.2, Win 8.1
Comment 8 Commit Notification 2015-05-15 12:01:20 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ccf91b9f823c28f2cb08784e4be4157bad40837e

tdf#74932 FILESAVE: Shapes appear when saving a .XLSX file with filter

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Merlinux 2015-07-08 23:00:59 UTC
Testing the file with 5.0.0.2 (RC2) still causes problems: cells that were previously hidden became visible.

Steps:

Download OriginalFile.xlsx

Open It > make no changes > select "Save As" > Select any location on computer > keep xlsx file extension > Save

Open the saved file once again. Now Instead of having lines from 1 to 12 hidden, only Line 1 remains hidden. Lines 2 - 12 became visible.
Comment 10 Merlinux 2016-02-23 10:06:01 UTC
I have submitted a new bug for the remaining problems at:

https://bugs.documentfoundation.org/show_bug.cgi?id=98106
Comment 11 Bartosz 2016-06-16 02:18:18 UTC
This bug was already resolved. The fix for hide row will be done in separate ticket